%define major		0
%define libtss2_mu	%mklibname tss2-mu %{major}
%define libtss2_sys	%mklibname tss2-sys %{major}
%define libtss2_esys	%mklibname tss2-esys %{major}
%define libtss2_tcti_d	%mklibname tss2-tcti-device %{major}
%define libtss2_tcti_m	%mklibname tss2-tcti-mssim %{major}
%define develname	%mklibname %{name} -d

%define udevrules_prefix	60-

Name:		tpm2-tss
Version:	2.2.2
%define subrel	1
Release:	%mkrel 1
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
# The entire source code is under BSD except implementation.h and tpmb.h which
# is under TCGL(Trusted Computing Group License).
License:	BSD and TCGL
URL:		https://github.com/tpm2-software/tpm2-tss
Source0:	https://github.com/tpm2-software/tpm2-tss/releases/download/%{version}/%{name}-%{version}.tar.gz
Source1:	%{name}.conf

BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	doxygen
BuildRequires:	autoconf-archive
BuildRequires:	libtool
BuildRequires:	systemd
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(openssl)

%description
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_mu}
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}

%description -n	%{libtss2_mu}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_sys}
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}

%description -n	%{libtss2_sys}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_esys}
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}

%description -n	%{libtss2_esys}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_tcti_d}
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}

%description -n	%{libtss2_tcti_d}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{libtss2_tcti_m}
Summary:	TPM2.0 Software Stack
Group:		System/Libraries
Recommends:	%{name} >= %{version}-%{release}

%description -n	%{libtss2_tcti_m}
tpm2-tss is a software stack supporting Trusted Platform Module(TPM) 2.0 system
APIs. It sits between TPM driver and applications, providing TPM2.0 specified
APIs for applications to access TPM module through kernel TPM drivers.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libtss2_mu} = %{version}-%{release}
Requires:	%{libtss2_sys} = %{version}-%{release}
Requires:	%{libtss2_esys} = %{version}-%{release}
Requires:	%{libtss2_tcti_d} = %{version}-%{release}
Requires:	%{libtss2_tcti_m} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -n %{name}-%{version}

%build
# Use built-in tpm-udev.rules, with specified installation path and prefix.
%configure2_5x \
	--disable-static \
	--disable-silent-rules \
	--with-udevrulesdir=%{_udevrulesdir} \
	--with-udevrulesprefix=%{udevrules_prefix}

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

# create tss user and group (mga#24457)
install -D -m 0644 %{SOURCE1} %{buildroot}%{_sysusersdir}/%{name}.conf

%files
%doc README.md CHANGELOG.md
%license LICENSE
%{_udevrulesdir}/%{udevrules_prefix}tpm-udev.rules
%{_sysusersdir}/%{name}.conf

%files -n %{libtss2_mu}
%{_libdir}/libtss2-mu.so.%{major}{,.*}

%files -n %{libtss2_sys}
%{_libdir}/libtss2-sys.so.%{major}{,.*}

%files -n %{libtss2_esys}
%{_libdir}/libtss2-esys.so.%{major}{,.*}

%files -n %{libtss2_tcti_d}
%{_libdir}/libtss2-tcti-device.so.%{major}{,.*}

%files -n %{libtss2_tcti_m}
%{_libdir}/libtss2-tcti-mssim.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/tss2/
%{_libdir}/libtss2-mu.so
%{_libdir}/libtss2-sys.so
%{_libdir}/libtss2-esys.so
%{_libdir}/libtss2-tcti-device.so
%{_libdir}/libtss2-tcti-mssim.so
%{_libdir}/pkgconfig/tss2-mu.pc
%{_libdir}/pkgconfig/tss2-sys.pc
%{_libdir}/pkgconfig/tss2-esys.pc
%{_libdir}/pkgconfig/tss2-tcti-device.pc
%{_libdir}/pkgconfig/tss2-tcti-mssim.pc
%{_mandir}/man3/*.3.*
%{_mandir}/man7/tss2*.7.*


%changelog
* Sat Feb 22 2020 daviddavid <daviddavid> 2.2.2-1.1.mga7
+ Revision: 1549270
- create tss user and group (mga#24457)

* Fri Mar 29 2019 daviddavid <daviddavid> 2.2.2-1.mga7
+ Revision: 1381131
- new version: 2.2.2

* Sun Mar 03 2019 daviddavid <daviddavid> 2.2.1-1.mga7
+ Revision: 1371194
- new version: 2.2.1

* Wed Feb 06 2019 daviddavid <daviddavid> 2.2.0-1.mga7
+ Revision: 1363507
- new version: 2.2.0

* Sat Jan 05 2019 daviddavid <daviddavid> 2.1.0-1.mga7
+ Revision: 1349716
- initial package tpm2-tss

